Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor
Class CookieProviderInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          org.apache.struts2.interceptor.CookieProviderInterceptor

All Implemented Interfaces:
  Interceptor, PreResultListener, Serializable

    public class CookieProviderInterceptor

extends AbstractInterceptor
implements PreResultListener

Allows actions to send cookies to client, action must implement `CookieProvider` You must reference this interceptor in your default stack or in action's stack, see example below. none

- addCookiesToResponse - this method applies cookie created by action to response

     <action ... >
       <interceptor-ref name="defaultStack"/>
       <interceptor-ref name="cookieProvider"/>
       ...
     </action>

See Also:
  Serialized Form

Constructor Summary
`CookieProviderInterceptor()`

Method Summary
`protected void` | `addCookiesToResponse(CookieProvider action, javax.servlet.http.HttpServletResponse response)` Do what name suggests
`void` | `beforeResult(ActionInvocation invocation, String resultCode)`
`String` | `intercept(ActionInvocation invocation)`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieProviderInterceptor

    public CookieProviderInterceptor()

Method Detail

### intercept

    public String intercept(ActionInvocation invocation)
                     throws Exception

  Specified by:
    `intercept` in interface `Interceptor`
  Specified by:
    `intercept` in class `AbstractInterceptor`
  Throws:
    `Exception`

### addCookiesToResponse

    protected void addCookiesToResponse(CookieProvider action,
                                        javax.servlet.http.HttpServletResponse response)

  Do what name suggests

  Parameters:
    `action` - `CookieProvider` action
    `response` - current `HttpServletResponse`

### beforeResult

    public void beforeResult(ActionInvocation invocation,
                             String resultCode)

  Specified by:
    `beforeResult` in interface `PreResultListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.